import cacache from 'cacache';
import { PathOsBasedAbsolute } from '../../utils/path';
export declare class ComponentFsCache {
    private scopePath;
    readonly basePath: PathOsBasedAbsolute;
    private isNoFsCacheFeatureEnabled;
    constructor(scopePath: string);
    getLastTrackTimestamp(idStr: string): Promise<number>;
    setLastTrackTimestamp(idStr: string, timestamp: number): Promise<void>;
    getDocsFromCache(filePath: string): Promise<{
        timestamp: number;
        data: string;
    } | null>;
    saveDocsInCache(filePath: string, docs: Record<string, any>): Promise<void>;
    getDependenciesDataFromCache(idStr: string): Promise<{
        timestamp: number;
        data: string;
    } | null>;
    saveDependenciesDataInCache(idStr: string, dependenciesData: string): Promise<void>;
    deleteAllDependenciesDataCache(): Promise<void>;
    listDependenciesDataCache(): Promise<Record<string, cacache.CacheObject & {
        size: number;
    }>>;
    private saveStringDataInCache;
    private saveDataInCache;
    private getStringDataFromCache;
    private getFromCacheIfExist;
    private getCachePath;
}
